> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get custom tab information

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/tab_definitions/{customTabId}

Retrieves information about the requested custom tab on the specified account.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/customtabs/customtabs/get

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `customTabId` (string, required)

## Response

### 200

Successful response.

- `anchor` (string, optional) — An optional string that is used to auto-match tabs to strings located in the documents of an envelope.
- `anchorCaseSensitive` (string, optional) — Reserved for DocuSign.
- `anchorHorizontalAlignment` (string, optional) — Reserved for DocuSign.
- `anchorIgnoreIfNotPresent` (string, optional) — When set to **true**, this tab is ignored if anchorString is not found in the document.
- `anchorMatchWholeWord` (string, optional) — Reserved for DocuSign.
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` - `inches` - `mms` - `cms`
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab in `anchorUnits` relative to the `anchorString`.
- `bold` (string, optional) — When set to **true**, the information in the tab is bold.
- `collaborative` (string, optional)
- `concealValueOnDocument` (string, optional) — When set to **true**, the field appears normally while the recipient is adding or modifying the information in the field, but the data is not visible (the characters are hidden by asterisks) to any other signer or the sender. When an envelope is completed the information is available to the sender through the Form Data link in the DocuSign Console. This setting applies only to text boxes and does not affect list boxes, radio buttons, or check boxes.
- `createdByDisplayName` (string, optional) — The user name of the DocuSign user who created this object.
- `createdByUserId` (string, optional) — The userId of the DocuSign user who created this object.
- `customTabId` (string, optional)
- `disableAutoSize` (string, optional) — When set to **true**, disables the auto sizing of single line text boxes in the signing screen when the signer enters data. If disabled users will only be able enter as much data as the text box can hold. By default this is false. This property only affects single line text boxes.
- `editable` (string, optional) — When set to **true**, the custom tab is editable. Otherwise the custom tab cannot be modified.
- `font` (string, optional) — The font to be used for the tab value. Supported Fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OCR-A - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color used for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `height` (string, optional) — Height of the tab in pixels.
- `includedInEmail` (string, optional) — When set to **true**, the tab is included in e-mails related to the envelope on which it exists. This applies to only specific tabs.
- `initialValue` (string, optional) — The original value of the tab.
- `italic` (string, optional) — When set to **true**, the information in the tab is italic.
- `items` (list of string, optional)
- `lastModified` (string, optional) — Utc date and time the comment was last updated (can only be done by creator.)
- `lastModifiedByDisplayName` (string, optional) — The User Name of the DocuSign user who last modified this object.
- `lastModifiedByUserId` (string, optional) — The userId of the DocuSign user who last modified this object.
- `locked` (string, optional) — When set to **true**, the signer cannot change the data of the custom tab.
- `maximumLength` (string, optional)
- `mergeField` (mergeField, optional) — Contains information for transfering values between Salesforce data fields and DocuSign Tabs.
- `name` (string, optional)
- `paymentItemCode` (string, optional)
- `paymentItemDescription` (string, optional)
- `paymentItemName` (string, optional)
- `requireAll` (string, optional) — When set to **true** and shared is true, information must be entered in this field to complete the envelope.
- `required` (string, optional) — When set to **true**, the signer is required to fill out this tab
- `requireInitialOnSharedChange` (string, optional) — Optional element for field markup. When set to **true**, the signer is required to initial when they modify a shared field.
- `scaleValue` (string, optional)
- `selected` (string, optional) — When set to **true**, the radio button is selected.
- `shared` (string, optional)
- `stampType` (string, optional)
- `stampTypeMetadata` (propertyMetadata, optional)
- `tabLabel` (string, optional) — The label string associated with the tab. The string may be the empty string. If no value is provided, the tab type is used as the value. Maximum of 500 characters.
- `type` (string, optional) — Type of the user. Valid values: type_owner, type_participant.
- `underline` (string, optional) — When set to **true**, the information in the tab is underlined.
- `validationMessage` (string, optional) — The message displayed if the custom tab fails input validation (either custom of embedded).
- `validationPattern` (string, optional) — A regular expressionn used to validate input for the tab.
- `width` (string, optional) — Width of the tab in pixels.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### mergeField

Contains information for transfering values between Salesforce data fields and DocuSign Tabs.

- `allowSenderToEdit` (string, optional) — When set to **true**, the sender can modify the value of the custom tab during the sending process.
- `configurationType` (string, optional) — If merge field's are being used, specifies the type of the merge field. The only supported value is **salesforce**.
- `path` (string, optional) — Sets the object associated with the custom tab. Currently this is the Salesforce Object.
- `row` (string, optional) — Specifies the row number in a Salesforce table that the merge field value corresponds to.
- `writeBack` (string, optional) — When wet to true, the information entered in the tab automatically updates the related Salesforce data when an envelope is completed.

### propertyMetadata

- `options` (list of string, optional)
- `rights` (string, optional)

## Examples

**Response**

```json
{
  "anchor": "string",
  "anchorCaseSensitive": "string",
  "anchorHorizontalAlignment": "string",
  "anchorIgnoreIfNotPresent": "string",
  "anchorMatchWholeWord": "string",
  "anchorUnits": "string",
  "anchorXOffset": "string",
  "anchorYOffset": "string",
  "bold": "string",
  "collaborative": "string",
  "concealValueOnDocument": "string",
  "createdByDisplayName": "string",
  "createdByUserId": "string",
  "customTabId": "string",
  "disableAutoSize": "string",
  "editable": "string",
  "font": "string",
  "fontColor": "string",
  "fontSize": "string",
  "height": "string",
  "includedInEmail": "string",
  "initialValue": "string",
  "italic": "string",
  "items": [
    "string"
  ],
  "lastModified": "string",
  "lastModifiedByDisplayName": "string",
  "lastModifiedByUserId": "string",
  "locked": "string",
  "maximumLength": "string",
  "mergeField": {
    "allowSenderToEdit": "string",
    "configurationType": "string",
    "path": "string",
    "row": "string",
    "writeBack": "string"
  },
  "name": "string",
  "paymentItemCode": "string",
  "paymentItemDescription": "string",
  "paymentItemName": "string",
  "requireAll": "string",
  "required": "string",
  "requireInitialOnSharedChange": "string",
  "scaleValue": "string",
  "selected": "string",
  "shared": "string",
  "stampType": "string",
  "stampTypeMetadata": {
    "options": [
      "string"
    ],
    "rights": "string"
  },
  "tabLabel": "string",
  "type": "string",
  "underline": "string",
  "validationMessage": "string",
  "validationPattern": "string",
  "width": "string"
}
```